Skip to main content
`Ctrl`+`K`

# PCFieldSplitSetDMSplits

Flags whether `DMCreateFieldDecomposition()` should be used to define the splits in a `PCFIELDSPLIT`, whenever possible.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitSetDMSplits(PC pc, PetscBool flg)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- flg - boolean indicating whether to use field splits defined by the `DM`

## Options Database Key

- -pc_fieldsplit_dm_splits <bool> - use the field splits defined by the `DM`

## Developer Note

The name should be `PCFieldSplitSetUseDMSplits()`, similar change to options database

## See Also

Solving Block Matrices with PCFIELDSPLIT, `PC`, `PCFIELDSPLIT`, `PCFieldSplitGetDMSplits()`, `DMCreateFieldDecomposition()`, `PCFieldSplitSetFields()`, `PCFieldSplitSetIS()`

## Level

intermediate

## Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages